Caddy(8)

NAME
caddy-trust - Installs a CA certificate into local trust stores

SYNOPSIS
caddy trust [flags]

DESCRIPTION
Adds a root certificate into the local trust stores.

Caddy will attempt to install its root certificates into the local trust stores automatically when they are first generated, but it might fail if Caddy doesn't have the appropriate permissions to write to the trust store. This command is necessary to pre-install the certificates before using them, if the server process runs as an unprivileged user (such as via systemd).

By default, this command installs the root certificate for Caddy's default CA (i.e. 'local'). You may specify the ID of another CA with the --ca flag.

This command will attempt to connect to Caddy's admin API running at 'localhost:2019' to fetch the root certificate. You may explicitly specify the --address, or use the --config flag to load the admin address from your config, if not using the default.

OPTIONS
--adapter=""
    Name of config adapter to apply (if --config is used)

--address=""
    Address of the administration API listener (if --config is not used)

--ca=""
    The ID of the CA to trust (defaults to 'local')

--config=""
    Configuration file (if --address is not used)

-h, --help[=false]
    help for trust

SEE ALSO
caddy(8)

HISTORY
18-Oct-2025 Auto generated by spf13/cobra